Anonymous Login
2018-12-15 13:59 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001879OpenClonkObjectspublic2017-01-19 19:12
ReporterK-Pone 
Assigned ToSven2 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformDesktopOSWindows 7OS Version64 bit
Product Version 
Target VersionFixed in Versiongit master 
Summary0001879: Golden Mountain: Pump doesn't pump lava
DescriptionA pump in Golden Mountain doesn't pump any lava. The pump was connected to a foundry earlier and has been used to pump water into it, which it did properly. Then it has been disconnected from the foundry and the input pipe has been thrown in the lava pool and the output pipe was just laying around. When thrown into the lava pool, the pump didn't do anything. Menu says "There is no liquid to pump".
TagsObjects
Attached Files

-Relationships
+Relationships

-Notes

~0005574

K-Pone (developer)

Debug mode didn't output any errors.

~0005575

Maikel (developer)

Last edited: 2017-01-03 08:06

View 2 revisions

This is a problem of Lava vs. DuroLava. Ideally the lava liquid object handles both materials.

Marky any suggestions?

~0005576

Maikel (developer)

Reminder sent to: Marky

~0005580

Marky (developer)

I'll look into it tomorrow.

~0005584

Clonkonaut (developer)

Probably another sympton of this bug, the metal barrel currently eats up DuroLava with the following error message:

by: Object(14)->GetLiquidAmount("DuroLava") (Objects.ocd\Libraries.ocd\LiquidControl.ocd\LiquidContainer.ocd\Script.c:31)
 by: Object(14)->PutLiquid("DuroLava",300) (Objects.ocd\Libraries.ocd\LiquidControl.ocd\LiquidContainer.ocd\Script.c:129)
 by: Object(14)->FillWithLiquid() (Objects.ocd\Items.ocd\Tools.ocd\Barrel.ocd\Script.c:183)
 by: Object(14)->Check() (Objects.ocd\Items.ocd\Tools.ocd\Barrel.ocd\Script.c:159)
ERROR: ERROR: script: GetLiquidAmount(DuroLava): No such liquid..

If this is not related, it's another (more severe?) bug.

~0005585

Clonkonaut (developer)

> Ideally the lava liquid object handles both materials.
Is that a wise decision? We should probably avoid conversion of one type of lava to another one.

~0005587

Maikel (developer)

With handles I meant keep track of what has been stored/pumped and don't do conversion. But maybe it is indeed better two have two liquid types.

~0005589

Marky (developer)

Conversion is tricky: You could convert duro lava to lava in liquid objects.
* Makes sense for barrels: You take a tiny bit of lava, it can cool down once it is out of the barrel and become ashes (or whatever material).
* Makes not so much sense for duro lava that is pumped by a pump, because the other lava would suddenly change, and you do not expect that as a player.

Having two material objects is also bad, because it is hard to distinguish duro lava and normal lava. Ideally you would have only one type of lava per scenario, then it is not so bad.

~0005590

Clonkonaut (developer)

Conversion of duro lava into lava could potentially break many scenarios where lava is an obstacle.

~0005598

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/218961f6a8ca8ea48eebe06b92952bd39c215c65

Changeset 218961f by Sven Eberhardt <sven2@goldwipf.de>
Add DuroLava liquid object 0001879

The extra object is called "Magma" to distinguish it from Lava and has a slightly different color on the symbol. In the pump menu, only "Lava" is shown and magma is turned on/off with it automatically.

It would be nice to have only one object and control a flag somehow. However, this is bound to cause us headaches later on (combining materials, etc.). This solution is probably least error-prone.

~0005599

Sven2 (developer)

I added an extra liquid object for DuroLava now and called it "Magma". For the pump menu, I changed it so only lava is shown and DuroLava(or Magma) is toggled along with it automatically.

It's not ideal to have the two objects, but any other solution with lava handling two materials is probably a lot more error-prone and causes extra script work for every liquid handler.

We may even think about giving lava a slightly different texture and then showing both symbols to the user eventually.

~0005603

Marky (developer)

Good idea!
+Notes

-Issue History
Date Modified Username Field Change
2016-12-31 21:38 K-Pone New Issue
2016-12-31 21:38 K-Pone File Added: GoldenMountain1.ocs
2016-12-31 21:38 K-Pone Tag Attached: Objects
2016-12-31 21:38 K-Pone Note Added: 0005574
2017-01-01 09:52 Maikel Note Added: 0005575
2017-01-03 08:06 Maikel Note Edited: 0005575 View Revisions
2017-01-03 08:07 Maikel Note Added: 0005576
2017-01-04 01:06 Marky Note Added: 0005580
2017-01-04 13:49 Clonkonaut Note Added: 0005584
2017-01-04 13:53 Clonkonaut Note Added: 0005585
2017-01-04 15:26 Maikel Note Added: 0005587
2017-01-04 19:07 Marky Note Added: 0005589
2017-01-04 21:11 Clonkonaut Note Added: 0005590
2017-01-16 17:54 occ Note Added: 0005598
2017-01-16 17:58 Sven2 Note Added: 0005599
2017-01-16 17:58 Sven2 Assigned To => Sven2
2017-01-16 17:58 Sven2 Status new => resolved
2017-01-16 17:58 Sven2 Resolution open => fixed
2017-01-16 17:58 Sven2 Fixed in Version => git master
2017-01-19 19:12 Marky Note Added: 0005603
+Issue History